LinkPreview (gCube Share Updates Portlet 0.5.0-2.16.0 API)
Date: 2013-07-30

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.portlets.user.shareupdates.shared
Class LinkPreview

    java.lang.Object
      org.gcube.portlets.user.shareupdates.shared.LinkPreview

All Implemented Interfaces:
  Serializable

    public class LinkPreview

extends Object
implements Serializable

See Also:
  Serialized Form

Constructor Summary
`LinkPreview()`
`LinkPreview(String title, String description, String url, String host, ArrayList<String> imageUrls)`

Method Summary
`String` | `getDescription()`
`String` | `getHost()`
`ArrayList<String>` | `getImageUrls()`
`String` | `getTitle()`
`String` | `getUrl()`
`void` | `setDescription(String description)`
`void` | `setHost(String host)`
`void` | `setImageUrls(ArrayList<String> imageUrls)`
`void` | `setTitle(String title)`
`void` | `setUrl(String url)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LinkPreview

    public LinkPreview()

### LinkPreview

    public LinkPreview(String title,
                       String description,
                       String url,
                       String host,
                       ArrayList<String> imageUrls)

Method Detail

### getHost

    public String getHost()

### setHost

    public void setHost(String host)

### getTitle

    public String getTitle()

  Returns:

### setTitle

    public void setTitle(String title)

  Parameters:
    `title` -

### getDescription

    public String getDescription()

### setDescription

    public void setDescription(String description)

### getUrl

    public String getUrl()

### setUrl

    public void setUrl(String url)

### getImageUrls

    public ArrayList<String> getImageUrls()

### setImageUrls

    public void setImageUrls(ArrayList<String> imageUrls)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.